<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>Corpus</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Corpus";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Corpus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.MapReduceFolderConvert.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Corpus.html" target="_top">Frames</a></li>
<li><a href="Corpus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus</div>
<h2 title="Class Corpus" class="title">Class Corpus</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.Corpus</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Corpus</span>
extends com.mongodb.ReflectionDBObject</pre>
<div class="block">This class reflects corpus object in db and provides all the methods related to corpus management</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.MapReduceFolderConvert.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.MapReduceFolderConvert</a></strong></code>
<div class="block">Callback used to convert files found in a directory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.MapReduceFolderDagCreate.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.MapReduceFolderDagCreate</a></strong></code>
<div class="block">Callback used to actually process the dag creation for each files found in the directory containing valid files</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a></strong></code>
<div class="block">Default params for cluster resource allocation</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#documents">documents</a></strong></code>
<div class="block">JSON object mapping id of <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> and its local path</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#documentsMapped">documentsMapped</a></strong></code>
<div class="block">Boolean indicating if the documents present inside the corpus has been mapped (ie the field document has been filled)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#externId">externId</a></strong></code>
<div class="block">Extern id given to the corpus (id generated from MGWiki)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#name">name</a></strong></code>
<div class="block">Name of the corpus</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#outputFormat">outputFormat</a></strong></code>
<div class="block">Output format chosen for the analysis</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#owner">owner</a></strong></code>
<div class="block">Owner name (obsolete, not used)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#path">path</a></strong></code>
<div class="block">Local path of the directory root of the corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#resultFiles">resultFiles</a></strong></code>
<div class="block">Obsolete, list of results files set to the corpus without sources</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#status">status</a></strong></code>
<div class="block">Current status of the corpus (waiting, processing or available)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#tasksId">tasksId</a></strong></code>
<div class="block">List of associated <a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><code>CPMTask</code></a> that handle the processing of the corpus</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#termExtractProcessEnabled">termExtractProcessEnabled</a></strong></code>
<div class="block">Boolean indicating if the term extraction process must be launched after the syntactic analysis</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#Corpus()">Corpus</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#analyseLog()">analyseLog</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#clean()">clean</a></strong>()</code>
<div class="block">Clean unpacked and converted files</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#convert()">convert</a></strong>()</code>
<div class="block">Convert documents that were previously unpacked (supported file type are pdf, rtf, doc, txt and docx)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.io.File</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#createArchiveDestDir(java.io.File)">createArchiveDestDir</a></strong>(java.io.File&nbsp;archive)</code>
<div class="block">create the folder that will contain the files in an archive</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#createConfiguration()">createConfiguration</a></strong>()</code>
<div class="block">Create the configuration file for syntactic analysis using a default template and send it to the rioc server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#CreateCorpus(com.mongodb.BasicDBObject)">CreateCorpus</a></strong>(com.mongodb.BasicDBObject&nbsp;corpusInfos)</code>
<div class="block">Factory, create corpus from basic information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#delete()">delete</a></strong>()</code>
<div class="block">Delete the corpus (the deletion of the local files is handled by mgwiki)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteDocuments()">deleteDocuments</a></strong>()</code>
<div class="block">Delete all the documents of the corpus (called when corpus is deleted)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteTasks()">deleteTasks</a></strong>()</code>
<div class="block">Delete associated tasks (called when corpus is deleted)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#estimateTimeRequired()">estimateTimeRequired</a></strong>()</code>
<div class="block">Estimate the time needed to process the corpus</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#export()">export</a></strong>()</code>
<div class="block">Export the prepared documents (unpacked and converted to txt) to the rioc server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getAnnotatedDocument(java.lang.String)">getAnnotatedDocument</a></strong>(java.lang.String&nbsp;did)</code>
<div class="block">Get the html align of the raw text and syntactic parsed sentences</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDefaultTaskInfo()">getDefaultTaskInfo</a></strong>()</code>
<div class="block">Get the information of tasks associated with this corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentFromPath(java.lang.String)">getDocumentFromPath</a></strong>(java.lang.String&nbsp;filename)</code>
<div class="block">Retrieve a <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> from its path within the uploaded mapped structure of files in the corpus</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList()">getDocumentList</a></strong>()</code>
<div class="block">Get the tree of documents information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList(java.lang.String,%20java.lang.Object)">getDocumentList</a></strong>(java.lang.String&nbsp;dirPath,
               java.lang.Object&nbsp;jsonResource)</code>
<div class="block">Sub method used to construct the tree of document information of the corpus</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getdocuments()">getdocuments</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getdocumentsMapped()">getdocumentsMapped</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getexternId()">getexternId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraph(java.lang.String,%20java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraph</a></strong>(java.lang.String&nbsp;did,
        java.lang.String&nbsp;ts,
        java.lang.String&nbsp;te,
        com.mongodb.BasicDBList&nbsp;slist)</code>
<div class="block">Get a graph fragment (currently works only for conll & depconll format!)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraphFilePath(java.lang.String,%20java.lang.String,%20java.lang.String)">getGraphFilePath</a></strong>(java.lang.String&nbsp;did,
                java.lang.String&nbsp;sid,
                java.lang.String&nbsp;vid)</code>
<div class="block">Get the path of a graph file</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getname()">getname</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getoutputFormat()">getoutputFormat</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getpath()">getpath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getReport()">getReport</a></strong>()</code>
<div class="block">Get the syntactic analysis process report output</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getresultFiles()">getresultFiles</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getstatus()">getstatus</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getTaskOutput(java.lang.String,%20java.lang.String,%20boolean)">getTaskOutput</a></strong>(java.lang.String&nbsp;taskindex,
             java.lang.String&nbsp;taskunitindex,
             boolean&nbsp;errfile)</code>
<div class="block">Retrieve the file containing the output of a particular <code>CPMTaskUnit</code></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#gettasksId()">gettasksId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#gettermExtractProcessEnabled()">gettermExtractProcessEnabled</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#index()">index</a></strong>()</code>
<div class="block">Index all sentences of the corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#initTasks()">initTasks</a></strong>()</code>
<div class="block">Initialize the list of associated tasks (1 unpacking,conversion 2 default analysis 3 retrieve result 4 term extraction)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#isPublic()">isPublic</a></strong>()</code>
<div class="block">Call a mgwiki webservice to assert if the corpus is public or not (permissions are handled in mgwiki db)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#prepareDownload()">prepareDownload</a></strong>()</code>
<div class="block">Prepare the archive of analysis results for download</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#raw2dag()">raw2dag</a></strong>()</code>
<div class="block">Call scripts in charge of creating dags for each valid files of the corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;objectId)</code>
<div class="block">Retrieve corpus with its mongodb id</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#RetrieveFromExternalID(java.lang.String)">RetrieveFromExternalID</a></strong>(java.lang.String&nbsp;id)</code>
<div class="block">Retrieve a corpus using its external id</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#RetrieveFromName(java.lang.String)">RetrieveFromName</a></strong>(java.lang.String&nbsp;name)</code>
<div class="block">Retrieve a corpus using its name (name are unique by construction (number are appended for same names))</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#retrieveResults()">retrieveResults</a></strong>()</code>
<div class="block">Retrieve the result of the syntactic analysis (from rioc to local)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#retrieveTermExtractionResults()">retrieveTermExtractionResults</a></strong>()</code>
<div class="block">Retrieve the term extraction and semantic distribution results and package the result in a tar archive ready for download</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#runDefaultAnalysis()">runDefaultAnalysis</a></strong>()</code>
<div class="block">Launch the script of syntactic parsing over the rioc server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#save()">save</a></strong>()</code>
<div class="block">Save modification to the corpus into db (such as output format, documents list, status, etc)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#saveDocuments()">saveDocuments</a></strong>()</code>
<div class="block">Map the valid converted documents file source found in the corpus and create the corresponding <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> objects</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#saveDocumentsSub(java.lang.String,%20java.util.HashMap)">saveDocumentsSub</a></strong>(java.lang.String&nbsp;dirPath,
                java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&nbsp;jsonResource)</code>
<div class="block">Sub method that create a <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> for each file found in a directory</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#search(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String)">search</a></strong>(java.lang.String&nbsp;queryInput,
      java.lang.String&nbsp;searchType,
      java.lang.String&nbsp;from,
      java.lang.String&nbsp;max,
      java.lang.String&nbsp;did,
      java.lang.String&nbsp;export)</code>
<div class="block">Generic search within a corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#searchSID(java.lang.String[],%20java.lang.Integer,%20java.lang.String,%20java.lang.String)">searchSID</a></strong>(java.lang.String[]&nbsp;sids,
         java.lang.Integer&nbsp;from,
         java.lang.String&nbsp;did,
         java.lang.String&nbsp;export)</code>
<div class="block">Retrieve the elasticsearch result of the query of particular sentences id</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setdocuments(com.mongodb.BasicDBObject)">setdocuments</a></strong>(com.mongodb.BasicDBObject&nbsp;documents)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setdocumentsMapped(boolean)">setdocumentsMapped</a></strong>(boolean&nbsp;documentsMapped)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setexternId(java.lang.String)">setexternId</a></strong>(java.lang.String&nbsp;externId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setname(java.lang.String)">setname</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setoutputFormat(java.lang.String)">setoutputFormat</a></strong>(java.lang.String&nbsp;outputFormat)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setpath(java.lang.String)">setpath</a></strong>(java.lang.String&nbsp;path)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setresultFiles(com.mongodb.BasicDBList)">setresultFiles</a></strong>(com.mongodb.BasicDBList&nbsp;resultFiles)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setstatus(java.lang.String)">setstatus</a></strong>(java.lang.String&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#settasksId(com.mongodb.BasicDBList)">settasksId</a></strong>(com.mongodb.BasicDBList&nbsp;tasksId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#settermExtractProcessEnabled(boolean)">settermExtractProcessEnabled</a></strong>(boolean&nbsp;tepe)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#startTask(int,%20com.mongodb.BasicDBObject)">startTask</a></strong>(int&nbsp;taskindex,
         com.mongodb.BasicDBObject&nbsp;options)</code>
<div class="block">Start a task</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#termExtraction()">termExtraction</a></strong>()</code>
<div class="block">Launch the script of term extraction and semantic distribution over the rioc server</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpack()">unpack</a></strong>()</code>
<div class="block">unpack the files of the corpus</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpack(java.io.File)">unpack</a></strong>(java.io.File&nbsp;dir)</code>
<div class="block">unpack files contained in a directory</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpackArchive(java.io.File)">unpackArchive</a></strong>(java.io.File&nbsp;archive)</code>
<div class="block">Actually unpack an archive (tar, targz or zip)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#validate()">validate</a></strong>()</code>
<div class="block">Validate the corpus information (verify that it has a name, path and extern id)</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;java.lang.String name</pre>
<div class="block">Name of the corpus</div>
</li>
</ul>
<a name="owner">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>owner</h4>
<pre>public&nbsp;java.lang.String owner</pre>
<div class="block">Owner name (obsolete, not used)</div>
</li>
</ul>
<a name="path">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>path</h4>
<pre>public&nbsp;java.lang.String path</pre>
<div class="block">Local path of the directory root of the corpus</div>
</li>
</ul>
<a name="tasksId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tasksId</h4>
<pre>public&nbsp;com.mongodb.BasicDBList tasksId</pre>
<div class="block">List of associated <a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><code>CPMTask</code></a> that handle the processing of the corpus</div>
</li>
</ul>
<a name="externId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>externId</h4>
<pre>public&nbsp;java.lang.String externId</pre>
<div class="block">Extern id given to the corpus (id generated from MGWiki)</div>
</li>
</ul>
<a name="status">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>public&nbsp;java.lang.String status</pre>
<div class="block">Current status of the corpus (waiting, processing or available)</div>
</li>
</ul>
<a name="outputFormat">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>outputFormat</h4>
<pre>public&nbsp;java.lang.String outputFormat</pre>
<div class="block">Output format chosen for the analysis</div>
</li>
</ul>
<a name="termExtractProcessEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termExtractProcessEnabled</h4>
<pre>public&nbsp;boolean termExtractProcessEnabled</pre>
<div class="block">Boolean indicating if the term extraction process must be launched after the syntactic analysis</div>
</li>
</ul>
<a name="documents">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documents</h4>
<pre>private&nbsp;com.mongodb.BasicDBObject documents</pre>
<div class="block">JSON object mapping id of <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> and its local path</div>
</li>
</ul>
<a name="documentsMapped">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documentsMapped</h4>
<pre>public&nbsp;boolean documentsMapped</pre>
<div class="block">Boolean indicating if the documents present inside the corpus has been mapped (ie the field document has been filled)</div>
</li>
</ul>
<a name="resultFiles">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resultFiles</h4>
<pre>private&nbsp;com.mongodb.BasicDBList resultFiles</pre>
<div class="block">Obsolete, list of results files set to the corpus without sources</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Corpus()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Corpus</h4>
<pre>public&nbsp;Corpus()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="gettermExtractProcessEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gettermExtractProcessEnabled</h4>
<pre>public&nbsp;boolean&nbsp;gettermExtractProcessEnabled()</pre>
</li>
</ul>
<a name="settermExtractProcessEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>settermExtractProcessEnabled</h4>
<pre>public&nbsp;void&nbsp;settermExtractProcessEnabled(boolean&nbsp;tepe)</pre>
</li>
</ul>
<a name="getresultFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getresultFiles</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getresultFiles()</pre>
</li>
</ul>
<a name="setresultFiles(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setresultFiles</h4>
<pre>public&nbsp;void&nbsp;setresultFiles(com.mongodb.BasicDBList&nbsp;resultFiles)</pre>
</li>
</ul>
<a name="getoutputFormat()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getoutputFormat</h4>
<pre>public&nbsp;java.lang.String&nbsp;getoutputFormat()</pre>
</li>
</ul>
<a name="setoutputFormat(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setoutputFormat</h4>
<pre>public&nbsp;void&nbsp;setoutputFormat(java.lang.String&nbsp;outputFormat)</pre>
</li>
</ul>
<a name="getdocumentsMapped()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdocumentsMapped</h4>
<pre>public&nbsp;boolean&nbsp;getdocumentsMapped()</pre>
</li>
</ul>
<a name="setdocumentsMapped(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdocumentsMapped</h4>
<pre>public&nbsp;void&nbsp;setdocumentsMapped(boolean&nbsp;documentsMapped)</pre>
</li>
</ul>
<a name="getdocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdocuments</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getdocuments()</pre>
</li>
</ul>
<a name="setdocuments(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdocuments</h4>
<pre>public&nbsp;void&nbsp;setdocuments(com.mongodb.BasicDBObject&nbsp;documents)</pre>
</li>
</ul>
<a name="getpath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getpath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getpath()</pre>
</li>
</ul>
<a name="setpath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setpath</h4>
<pre>public&nbsp;void&nbsp;setpath(java.lang.String&nbsp;path)</pre>
</li>
</ul>
<a name="getname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getname()</pre>
</li>
</ul>
<a name="setname(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setname</h4>
<pre>public&nbsp;void&nbsp;setname(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getexternId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getexternId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getexternId()</pre>
</li>
</ul>
<a name="setexternId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setexternId</h4>
<pre>public&nbsp;void&nbsp;setexternId(java.lang.String&nbsp;externId)</pre>
</li>
</ul>
<a name="gettasksId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gettasksId</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;gettasksId()</pre>
</li>
</ul>
<a name="settasksId(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>settasksId</h4>
<pre>public&nbsp;void&nbsp;settasksId(com.mongodb.BasicDBList&nbsp;tasksId)</pre>
</li>
</ul>
<a name="getstatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getstatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getstatus()</pre>
</li>
</ul>
<a name="setstatus(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setstatus</h4>
<pre>public&nbsp;void&nbsp;setstatus(java.lang.String&nbsp;status)</pre>
</li>
</ul>
<a name="CreateCorpus(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CreateCorpus</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;CreateCorpus(com.mongodb.BasicDBObject&nbsp;corpusInfos)</pre>
<div class="block">Factory, create corpus from basic information</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>corpusInfos</code> - json object containing minimum information about corpus (path, cid and name)</dd>
<dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;validate()</pre>
<div class="block">Validate the corpus information (verify that it has a name, path and extern id)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a <code>Utils.ValidationBean</code> object</dd></dl>
</li>
</ul>
<a name="RetrieveFromExternalID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveFromExternalID</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;RetrieveFromExternalID(java.lang.String&nbsp;id)</pre>
<div class="block">Retrieve a corpus using its external id</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>id</code> - the external id given to the corpus (from mgwiki)</dd>
<dt><span class="strong">Returns:</span></dt><dd>the corresponding corpus or null if not found</dd></dl>
</li>
</ul>
<a name="RetrieveFromName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveFromName</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;RetrieveFromName(java.lang.String&nbsp;name)</pre>
<div class="block">Retrieve a corpus using its name (name are unique by construction (number are appended for same names))</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - the name of the corpus</dd>
<dt><span class="strong">Returns:</span></dt><dd>the corresponding corpus or null if not found</dd></dl>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;Retrieve(java.lang.String&nbsp;objectId)</pre>
<div class="block">Retrieve corpus with its mongodb id</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>objectId</code> - the unique mongodb id of the corpus</dd>
<dt><span class="strong">Returns:</span></dt><dd>the corresponding corpus or null if not found</dd></dl>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
<div class="block">Save modification to the corpus into db (such as output format, documents list, status, etc)</div>
</li>
</ul>
<a name="deleteTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteTasks</h4>
<pre>private&nbsp;void&nbsp;deleteTasks()</pre>
<div class="block">Delete associated tasks (called when corpus is deleted)</div>
</li>
</ul>
<a name="initTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initTasks</h4>
<pre>private&nbsp;void&nbsp;initTasks()</pre>
<div class="block">Initialize the list of associated tasks (1 unpacking,conversion 2 default analysis 3 retrieve result 4 term extraction)</div>
</li>
</ul>
<a name="startTask(int, com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTask</h4>
<pre>public&nbsp;void&nbsp;startTask(int&nbsp;taskindex,
             com.mongodb.BasicDBObject&nbsp;options)</pre>
<div class="block">Start a task</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskindex</code> - the index of the task to start</dd><dd><code>options</code> - (reset : reset the task, format : define the output format)</dd></dl>
</li>
</ul>
<a name="clean()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clean</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;clean()
                         throws java.io.IOException,
                                java.lang.InterruptedException</pre>
<div class="block">Clean unpacked and converted files</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpack()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpack</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;unpack()
                          throws java.io.IOException,
                                 java.lang.InterruptedException</pre>
<div class="block">unpack the files of the corpus</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpack(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpack</h4>
<pre>private&nbsp;java.lang.String[]&nbsp;unpack(java.io.File&nbsp;dir)
                           throws java.io.IOException,
                                  java.lang.InterruptedException</pre>
<div class="block">unpack files contained in a directory</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - the directory containing files to unpack</dd>
<dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpackArchive(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpackArchive</h4>
<pre>private&nbsp;java.lang.String[]&nbsp;unpackArchive(java.io.File&nbsp;archive)
                                  throws java.io.IOException,
                                         java.lang.InterruptedException</pre>
<div class="block">Actually unpack an archive (tar, targz or zip)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>archive</code> - the file archive to unpack</dd>
<dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="createArchiveDestDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArchiveDestDir</h4>
<pre>private&nbsp;java.io.File&nbsp;createArchiveDestDir(java.io.File&nbsp;archive)
                                   throws java.io.IOException</pre>
<div class="block">create the folder that will contain the files in an archive</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>archive</code> - the file archive</dd>
<dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="convert()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;convert()
                           throws java.lang.Exception</pre>
<div class="block">Convert documents that were previously unpacked (supported file type are pdf, rtf, doc, txt and docx)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="export()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>export</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;export()
                          throws java.io.IOException,
                                 com.jcraft.jsch.JSchException,
                                 java.lang.InterruptedException</pre>
<div class="block">Export the prepared documents (unpacked and converted to txt) to the rioc server</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="raw2dag()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>raw2dag</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;raw2dag()
                           throws java.lang.Exception</pre>
<div class="block">Call scripts in charge of creating dags for each valid files of the corpus</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="createConfiguration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConfiguration</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;createConfiguration()
                                       throws java.io.IOException,
                                              java.lang.InterruptedException</pre>
<div class="block">Create the configuration file for syntactic analysis using a default template and send it to the rioc server</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="estimateTimeRequired()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estimateTimeRequired</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a>&nbsp;estimateTimeRequired()</pre>
<div class="block">Estimate the time needed to process the corpus</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the resource allocation params</dd></dl>
</li>
</ul>
<a name="runDefaultAnalysis()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>runDefaultAnalysis</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;runDefaultAnalysis()
                                      throws com.jcraft.jsch.JSchException,
                                             java.io.IOException</pre>
<div class="block">Launch the script of syntactic parsing over the rioc server</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="analyseLog()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>analyseLog</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;analyseLog()</pre>
</li>
</ul>
<a name="termExtraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termExtraction</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;termExtraction()
                                  throws com.jcraft.jsch.JSchException,
                                         java.io.IOException</pre>
<div class="block">Launch the script of term extraction and semantic distribution over the rioc server</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getDefaultTaskInfo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTaskInfo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDefaultTaskInfo()</pre>
<div class="block">Get the information of tasks associated with this corpus</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the list of list of json object representing taskunit in tasks</dd></dl>
</li>
</ul>
<a name="getTaskOutput(java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskOutput</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTaskOutput(java.lang.String&nbsp;taskindex,
                             java.lang.String&nbsp;taskunitindex,
                             boolean&nbsp;errfile)</pre>
<div class="block">Retrieve the file containing the output of a particular <code>CPMTaskUnit</code></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskindex</code> - the <a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><code>CPMTask</code></a> index</dd><dd><code>taskunitindex</code> - the <code>CPMTaskUnit</code> index within its task</dd><dd><code>errfile</code> - boolean indicating if the output asked for is the standard (false) or error ouput (true)</dd>
<dt><span class="strong">Returns:</span></dt><dd>the file path of the task output</dd></dl>
</li>
</ul>
<a name="getReport()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReport</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getReport()
                             throws com.jcraft.jsch.JSchException,
                                    java.io.IOException</pre>
<div class="block">Get the syntactic analysis process report output</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="retrieveTermExtractionResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveTermExtractionResults</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;retrieveTermExtractionResults()</pre>
<div class="block">Retrieve the term extraction and semantic distribution results and package the result in a tar archive ready for download</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd></dl>
</li>
</ul>
<a name="retrieveResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveResults</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;retrieveResults()</pre>
<div class="block">Retrieve the result of the syntactic analysis (from rioc to local)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the output of the process</dd></dl>
</li>
</ul>
<a name="getGraphFilePath(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFilePath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraphFilePath(java.lang.String&nbsp;did,
                                java.lang.String&nbsp;sid,
                                java.lang.String&nbsp;vid)</pre>
<div class="block">Get the path of a graph file</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>did</code> - the document id owning the graph</dd><dd><code>sid</code> - the id of the sentence represented by the graph</dd><dd><code>vid</code> - the version id of the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>the filepath of the graph</dd></dl>
</li>
</ul>
<a name="getAnnotatedDocument(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDocument</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDocument(java.lang.String&nbsp;did)</pre>
<div class="block">Get the html align of the raw text and syntactic parsed sentences</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>did</code> - the document id</dd>
<dt><span class="strong">Returns:</span></dt><dd>the html string of the annotated document</dd></dl>
</li>
</ul>
<a name="getGraph(java.lang.String, java.lang.String, java.lang.String, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraph</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraph(java.lang.String&nbsp;did,
                        java.lang.String&nbsp;ts,
                        java.lang.String&nbsp;te,
                        com.mongodb.BasicDBList&nbsp;slist)</pre>
<div class="block">Get a graph fragment (currently works only for conll & depconll format!)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>did</code> - the document id owning the graph</dd><dd><code>ts</code> - the token id at the beginning of the fragment</dd><dd><code>te</code> - the token id at the end of the fragment</dd><dd><code>slist</code> - the spanned list of sentence on the fragment</dd>
<dt><span class="strong">Returns:</span></dt><dd>a serialized json object containing the format of the graph fragment and the data associated</dd></dl>
</li>
</ul>
<a name="getDocumentList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentList</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDocumentList()
                                 throws java.lang.Exception</pre>
<div class="block">Get the tree of documents information</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the serialized json object containing the tree of documents with information present in corpus (preserve uploaded directory structure)</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getDocumentList(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentList</h4>
<pre>public&nbsp;void&nbsp;getDocumentList(java.lang.String&nbsp;dirPath,
                   java.lang.Object&nbsp;jsonResource)
                     throws java.lang.Exception</pre>
<div class="block">Sub method used to construct the tree of document information of the corpus</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dirPath</code> - the current path in the folder structure of uploaded files</dd><dd><code>jsonResource</code> - the json data that will be filled with the document information tree</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getDocumentFromPath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentFromPath</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;getDocumentFromPath(java.lang.String&nbsp;filename)</pre>
<div class="block">Retrieve a <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> from its path within the uploaded mapped structure of files in the corpus</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filename</code> - the path of the document</dd>
<dt><span class="strong">Returns:</span></dt><dd>the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> object corresponding to the file source</dd></dl>
</li>
</ul>
<a name="searchSID(java.lang.String[], java.lang.Integer, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchSID</h4>
<pre>public&nbsp;java.lang.String&nbsp;searchSID(java.lang.String[]&nbsp;sids,
                         java.lang.Integer&nbsp;from,
                         java.lang.String&nbsp;did,
                         java.lang.String&nbsp;export)</pre>
<div class="block">Retrieve the elasticsearch result of the query of particular sentences id</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sids</code> - the list of sentence id</dd><dd><code>from</code> - not used</dd><dd><code>did</code> - the id of the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> whom sentence id refers to</dd><dd><code>export</code> - not used</dd>
<dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="search(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search</h4>
<pre>public&nbsp;java.lang.String&nbsp;search(java.lang.String&nbsp;queryInput,
                      java.lang.String&nbsp;searchType,
                      java.lang.String&nbsp;from,
                      java.lang.String&nbsp;max,
                      java.lang.String&nbsp;did,
                      java.lang.String&nbsp;export)</pre>
<div class="block">Generic search within a corpus</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>queryInput</code> - the query input</dd><dd><code>searchType</code> - the search type (sentence ids, sentence (full text match) or dpath)</dd><dd><code>from</code> - the part of the result to retrieve</dd><dd><code>max</code> - the max number of result items to retrieve</dd><dd><code>did</code> - optional precision of which <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> to filter result with</dd><dd><code>export</code> - optional return the xml export of total result of the search</dd>
<dt><span class="strong">Returns:</span></dt><dd>whether export was asked or not, return full (xml string) or part (elasticsearch json string) of the result of the search</dd></dl>
</li>
</ul>
<a name="saveDocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDocuments</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;saveDocuments()
                                        throws java.lang.Exception</pre>
<div class="block">Map the valid converted documents file source found in the corpus and create the corresponding <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> objects</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> objects id keyed list of converted document filepath</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="saveDocumentsSub(java.lang.String, java.util.HashMap)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDocumentsSub</h4>
<pre>public&nbsp;void&nbsp;saveDocumentsSub(java.lang.String&nbsp;dirPath,
                    java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&nbsp;jsonResource)
                      throws java.lang.Exception</pre>
<div class="block">Sub method that create a <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> for each file found in a directory</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dirPath</code> - </dd><dd><code>jsonResource</code> - </dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="index()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public&nbsp;java.lang.String&nbsp;index()</pre>
<div class="block">Index all sentences of the corpus</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>serialized json validation signal</dd></dl>
</li>
</ul>
<a name="deleteDocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteDocuments</h4>
<pre>private&nbsp;void&nbsp;deleteDocuments()</pre>
<div class="block">Delete all the documents of the corpus (called when corpus is deleted)</div>
</li>
</ul>
<a name="delete()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete()</pre>
<div class="block">Delete the corpus (the deletion of the local files is handled by mgwiki)</div>
</li>
</ul>
<a name="isPublic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPublic</h4>
<pre>public&nbsp;boolean&nbsp;isPublic()</pre>
<div class="block">Call a mgwiki webservice to assert if the corpus is public or not (permissions are handled in mgwiki db)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a boolean indicating whether the corpus is public or not</dd></dl>
</li>
</ul>
<a name="prepareDownload()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>prepareDownload</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;prepareDownload()</pre>
<div class="block">Prepare the archive of analysis results for download</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a validation object</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Corpus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.MapReduceFolderConvert.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Corpus.html" target="_top">Frames</a></li>
<li><a href="Corpus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
